Bug 270484 - Properties menu opened from folder panel makes any dolphin process unusable
Summary: Properties menu opened from folder panel makes any dolphin process unusable
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: folders (show other bugs)
Version: 16.12.2
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-09 10:48 UTC by karl.r.ernst
Modified: 2011-04-10 18:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karl.r.ernst 2011-04-09 10:48:01 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

When opening the properties window from the folder panel (right click -> properties) instead of the symbol / list / whatever view, it shows some misbehaviour:
1) It steals the focus from any other dolphin process (as in, seperate window) immediately, which makes them unusable as long  as the properties window is open (doesn't happen with any other app)
2) in contrast to when opened from the symbol view, it also blocks any input for its parent dolphin window

Reproducible: Always
Comment 1 Peter Penz 2011-04-10 18:50:26 UTC
Git commit 2d36ec28bd52d4e60bd2df9650c7e5539dfeb395 by Peter Penz.
Committed on 10/04/2011 at 18:54.
Pushed by ppenz into branch 'master'.

Folders Panel: Don't open the properties dialog modal

BUG: 270484
FIXED-IN: 4.7.0

M  +3    -4    dolphin/src/panels/folders/treeviewcontextmenu.cpp     

http://commits.kde.org/kde-baseapps/2d36ec28bd52d4e60bd2df9650c7e5539dfeb395